Description

Related issues:

Related to Foreman - Tracker #3157: Rails 4.1 upgrade tasks Closed 09/27/2013

Associated revisions

Revision 0f436556 - 09/25/2015 11:11 AM - Daniel Lobato Garcia

Fixes #7567 - Substitute find_or_create_by by first_or_create

Rails 3 and 4 both support the syntax 'where(args).first_or_create'.

find_or_create_by is no longer valid on Rails 4 so we should remove it

here already

History

#1 - 09/22/2014 07:34 AM - Joseph Magen

- Related to Tracker #3157: Rails 4.1 upgrade tasks added

#2 - 09/22/2014 08:30 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 1.7.3

- Pull request https://github.com/theforeman/foreman/pull/1785 added

- Pull request deleted ()

#3 - 09/30/2014 11:03 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#4 - 10/07/2014 07:53 AM - Joseph Magen

- Target version deleted (1.7.2)

#5 - 09/25/2015 11:12 AM - Dominic Cleal

- Subject changed from fix deprecated find_by_[attribute] dynamic methods  to fix deprecated find_by_[attribute]_or_create dynamic methods 

- translation missing: en.field_release set to 63

#6 - 09/25/2015 11:12 AM - Dominic Cleal

- Tracker changed from Bug to Refactor

- Assignee changed from Joseph Magen to Daniel Lobato Garcia

#7 - 09/25/2015 12:01 PM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 0f436556be809b55149554d221768faa93a91908.
